Update Order Shipments
1 min
POST
https://api.upstartcommerce.com/v1/order/{orderId}/update-shipments
orderIdstring<uuid>The parameterized order id in the URI.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectThe request should contain item ids along with the new shipping method.
200<p>Success-item shipping method was updated.</p>
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request POST \
--url https://api.upstartcommerce.com/v1/order/{orderId}/update-shipments \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"itemIds": [],
"shippingMethodId": ""
}'